### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-contextual-navigation/ecl-contextual-navigation-item-toggler.directive.ts`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclContextualNavigationItemToggler]`

### Index

###### Properties
eclIconComponent
###### HostBindings
class.ecl-contextual-navigation__item--more
###### HostListeners
click

### Constructor

`constructor(eclContextualNavigation: EclContextualNavigationComponent, eclContextualNavigationItem: EclContextualNavigationItemComponent)`
Parameters :
Name | Type | Optional
eclContextualNavigation | `EclContextualNavigationComponent` | No
eclContextualNavigationItem | `EclContextualNavigationItemComponent` | No

### HostBindings

class.ecl-contextual-navigation__item--more
Default value : `true`

### HostListeners

click
Arguments : `'$event'`
`click(evt: MouseEvent)`

### Properties

eclIconComponent
Type : `EclIconComponent`
Decorators : `@ContentChild(undefined)`

# result-matching ""

# No results matching ""